Name:		usb_modeswitch
Version:	0.9.4
Release:	2%{?dist}
Summary:	USB Modeswitch gets 4G cards in operational mode
Summary(de):	USB Modeswitch aktiviert UMTS-Karten
Group:		Applications/System
License:	GPLv2+
URL:		http://www.draisberghof.de/usb_modeswitch/
Source0: 	http://www.draisberghof.de/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libusb-devel

%description
USB Modeswitch brings up your datacard into operational mode. When plugged
in they identify themselves as cdrom and present some non-Linux compatible
installation files. This tool deactivates this cdrom-devices and enables
the real communication device. It supports most devices built and
sold by Huawei, T-Mobile, Vodafone, Option, ZTE, Novatel.

%description	-l de
USB Modeswitch deaktiviert die CDROM-Emulation einiger UMTS-Karten.
Dadurch erkennt Linux die Datenkarte und kann damit Internet-
Verbindungen aufbauen. Die gängigen Karten von Huawei, T-Mobile,
Vodafone, Option, ZTE und Novatell werden unterstützt.

%prep
%setup -q

%build
gcc $RPM_OPT_FLAGS -l usb -o usb_modeswitch usb_modeswitch.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 755 usb_modeswitch $RPM_BUILD_ROOT%{_bindir}/
install -p -m 644 usb_modeswitch.conf $RPM_BUILD_ROOT%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/usb_modeswitch
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf
%doc COPYING README*

%changelog
* Sat Jun 22 2008 Robert M. Albrecht <romal@gmx.de> 0.9.4-2
- Fixed some rpmlint errors
- Added german translation

* Sat Jun 22 2008 Robert M. Albrecht <romal@gmx.de> 0.9.4-1
- Update to 0.9.4
- Honor RPM_OPT_FLAGS
  
* Sat May 26 2008 Robert M. Albrecht <romal@gmx.de> 0.9.4-0.1.beta2
- First package Release

